<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CerereAchizitieResource.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.web.rest</a> &gt; <span class="el_source">CerereAchizitieResource.java</span></div><h1>CerereAchizitieResource.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.web.rest;
import com.theo.myjhipster.domain.CerereAchizitie;
import com.theo.myjhipster.service.CerereAchizitieService;
import com.theo.myjhipster.web.rest.errors.BadRequestAlertException;
import com.theo.myjhipster.web.rest.util.HeaderUtil;
import com.theo.myjhipster.web.rest.util.PaginationUtil;
import io.github.jhipster.web.util.ResponseUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.net.URI;
import java.net.URISyntaxException;

import java.util.List;
import java.util.Optional;

/**
 * REST controller for managing CerereAchizitie.
 */
@RestController
@RequestMapping(&quot;/api&quot;)
public class CerereAchizitieResource {

<span class="fc" id="L30">    private final Logger log = LoggerFactory.getLogger(CerereAchizitieResource.class);</span>

    private static final String ENTITY_NAME = &quot;cerereAchizitie&quot;;

    private final CerereAchizitieService cerereAchizitieService;

<span class="fc" id="L36">    public CerereAchizitieResource(CerereAchizitieService cerereAchizitieService) {</span>
<span class="fc" id="L37">        this.cerereAchizitieService = cerereAchizitieService;</span>
<span class="fc" id="L38">    }</span>

    /**
     * POST  /cerere-achizities : Create a new cerereAchizitie.
     *
     * @param cerereAchizitie the cerereAchizitie to create
     * @return the ResponseEntity with status 201 (Created) and with body the new cerereAchizitie, or with status 400 (Bad Request) if the cerereAchizitie has already an ID
     * @throws URISyntaxException if the Location URI syntax is incorrect
     */
    @PostMapping(&quot;/cerere-achizities&quot;)
    public ResponseEntity&lt;CerereAchizitie&gt; createCerereAchizitie(@RequestBody CerereAchizitie cerereAchizitie) throws URISyntaxException {
<span class="fc" id="L49">        log.debug(&quot;REST request to save CerereAchizitie : {}&quot;, cerereAchizitie);</span>
<span class="fc bfc" id="L50" title="All 2 branches covered.">        if (cerereAchizitie.getId() != null) {</span>
<span class="fc" id="L51">            throw new BadRequestAlertException(&quot;A new cerereAchizitie cannot already have an ID&quot;, ENTITY_NAME, &quot;idexists&quot;);</span>
        }
<span class="fc" id="L53">        CerereAchizitie result = cerereAchizitieService.save(cerereAchizitie);</span>
<span class="fc" id="L54">        return ResponseEntity.created(new URI(&quot;/api/cerere-achizities/&quot; + result.getId()))</span>
<span class="fc" id="L55">            .headers(HeaderUtil.createEntityCreationAlert(ENTITY_NAME, result.getId().toString()))</span>
<span class="fc" id="L56">            .body(result);</span>
    }

    /**
     * PUT  /cerere-achizities : Updates an existing cerereAchizitie.
     *
     * @param cerereAchizitie the cerereAchizitie to update
     * @return the ResponseEntity with status 200 (OK) and with body the updated cerereAchizitie,
     * or with status 400 (Bad Request) if the cerereAchizitie is not valid,
     * or with status 500 (Internal Server Error) if the cerereAchizitie couldn't be updated
     * @throws URISyntaxException if the Location URI syntax is incorrect
     */
    @PutMapping(&quot;/cerere-achizities&quot;)
    public ResponseEntity&lt;CerereAchizitie&gt; updateCerereAchizitie(@RequestBody CerereAchizitie cerereAchizitie) throws URISyntaxException {
<span class="fc" id="L70">        log.debug(&quot;REST request to update CerereAchizitie : {}&quot;, cerereAchizitie);</span>
<span class="fc bfc" id="L71" title="All 2 branches covered.">        if (cerereAchizitie.getId() == null) {</span>
<span class="fc" id="L72">            throw new BadRequestAlertException(&quot;Invalid id&quot;, ENTITY_NAME, &quot;idnull&quot;);</span>
        }
<span class="fc" id="L74">        CerereAchizitie result = cerereAchizitieService.save(cerereAchizitie);</span>
<span class="fc" id="L75">        return ResponseEntity.ok()</span>
<span class="fc" id="L76">            .headers(HeaderUtil.createEntityUpdateAlert(ENTITY_NAME, cerereAchizitie.getId().toString()))</span>
<span class="fc" id="L77">            .body(result);</span>
    }

    /**
     * GET  /cerere-achizities : get all the cerereAchizities.
     *
     * @param pageable the pagination information
     * @return the ResponseEntity with status 200 (OK) and the list of cerereAchizities in body
     */
    @GetMapping(&quot;/cerere-achizities&quot;)
    public ResponseEntity&lt;List&lt;CerereAchizitie&gt;&gt; getAllCerereAchizities(Pageable pageable) {
<span class="fc" id="L88">        log.debug(&quot;REST request to get a page of CerereAchizities&quot;);</span>
<span class="fc" id="L89">        Page&lt;CerereAchizitie&gt; page = cerereAchizitieService.findAll(pageable);</span>
<span class="fc" id="L90">        HttpHeaders headers = PaginationUtil.generatePaginationHttpHeaders(page, &quot;/api/cerere-achizities&quot;);</span>
<span class="fc" id="L91">        return ResponseEntity.ok().headers(headers).body(page.getContent());</span>
    }

    /**
     * GET  /cerere-achizities/:id : get the &quot;id&quot; cerereAchizitie.
     *
     * @param id the id of the cerereAchizitie to retrieve
     * @return the ResponseEntity with status 200 (OK) and with body the cerereAchizitie, or with status 404 (Not Found)
     */
    @GetMapping(&quot;/cerere-achizities/{id}&quot;)
    public ResponseEntity&lt;CerereAchizitie&gt; getCerereAchizitie(@PathVariable Long id) {
<span class="fc" id="L102">        log.debug(&quot;REST request to get CerereAchizitie : {}&quot;, id);</span>
<span class="fc" id="L103">        Optional&lt;CerereAchizitie&gt; cerereAchizitie = cerereAchizitieService.findOne(id);</span>
<span class="fc" id="L104">        return ResponseUtil.wrapOrNotFound(cerereAchizitie);</span>
    }

    /**
     * DELETE  /cerere-achizities/:id : delete the &quot;id&quot; cerereAchizitie.
     *
     * @param id the id of the cerereAchizitie to delete
     * @return the ResponseEntity with status 200 (OK)
     */
    @DeleteMapping(&quot;/cerere-achizities/{id}&quot;)
    public ResponseEntity&lt;Void&gt; deleteCerereAchizitie(@PathVariable Long id) {
<span class="fc" id="L115">        log.debug(&quot;REST request to delete CerereAchizitie : {}&quot;, id);</span>
<span class="fc" id="L116">        cerereAchizitieService.delete(id);</span>
<span class="fc" id="L117">        return ResponseEntity.ok().headers(HeaderUtil.createEntityDeletionAlert(ENTITY_NAME, id.toString())).build();</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>